%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-gdk-pixbuf
Version:        2.24.0
Release:        1%{?dist}
Summary:        MinGW Windows GDK Pixbuf library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gtk.org
Source0:        http://download.gnome.org/sources/gdk-pixbuf/2.24/gdk-pixbuf-%{version}.tar.xz

# If you want to rebuild this, do:
# wine /usr/i686-pc-mingw32/sys-root/mingw/bin/gdk-pixbuf-query-loaders.exe | sed s@'Z:/usr/i686-pc-mingw32/sys-root/mingw'@'..'@ > gdk-pixbuf.loaders
Source1:        gdk-pixbuf.loaders

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-jasper
BuildRequires:  mingw32-libjpeg
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-libtiff

# Native one for msgfmt
BuildRequires:  gettext
# Native one for glib-genmarsjal
BuildRequires:  glib2-devel
# Native one for gtk-update-icon-cache
BuildRequires:  gtk2
# Native one for gdk-pixbuf-csource
BuildRequires:  gtk2-devel


%description
MinGW Windows GDK Pixbuf library.


%{?_mingw32_debug_package}


%prep
%setup -q -n gdk-pixbuf-%{version}


%build
# Need to run the correct version of glib-mkenums.
PATH=%{_mingw32_bindir}:$PATH

%{_mingw32_configure} --with-libjasper
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install

# The .def files are only used while compiling the libraries themselves
# (they contain a list of functions which need to be exported by the linker)
# so they serve no purpose for other libraries and applications
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gdk_pixbuf-2.0.def

# The .dll.a files are import libraries, but as the regular .dll's are
# only dlopen'ed by GTK they provide no additional value so they can be dropped
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.dll.a

# The same also applies to the .la files for the individual loaders
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.la

# The gtk-doc documentation and man pages can also be dropped as they're
# already provided by the native package
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{_mingw32_mandir}

# Install the loaders.cache file
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

%find_lang %{name} --all-name


%files -f %{name}.lang
%doc COPYING
%{_mingw32_bindir}/gdk-pixbuf-csource.exe
%{_mingw32_bindir}/gdk-pixbuf-query-loaders.exe
%{_mingw32_bindir}/libgdk_pixbuf-2.0-0.dll
%dir %{_mingw32_libdir}/gdk-pixbuf-2.0
%dir %{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0
%dir %{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-gdip-bmp.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-gdip-emf.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-gdip-gif.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-gdip-ico.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-gdip-jpeg.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-gdip-tiff.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-gdip-wmf.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-icns.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-jasper.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-pcx.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-pnm.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-qtif.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ras.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-tga.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-wbmp.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xbm.dll
%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.dll
%{_mingw32_libdir}/libgdk_pixbuf-2.0.dll.a
%{_mingw32_libdir}/libgdk_pixbuf-2.0.la
%{_mingw32_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{_mingw32_includedir}/gdk-pixbuf-2.0/


%changelog
* Sat Aug 27 2011 Kalev Lember <kalevlember@gmail.com> - 2.24.0-1
- Update to 2.24.0

* Wed Jul  6 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.23.5-1
- Update to 2.23.5
- Rebuild against win-iconv

* Fri Jun  3 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.23.3-2
- Rebuild for libjpeg-turbo

* Wed Apr 27 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.23.3-1
- Update to 2.23.3
- Dropped the configure argument --enable-gdiplus as it's enabled by default
- Dropped upstreamed patch
- Dropped the proxy-libintl pieces

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  8 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.22.0-2
- Rebuild in order to have soft dependency on libintl
- Bump the BR: mingw32-filesystem to >= 61 because of mingw32(gdiplus.dll) provides

* Thu Sep 23 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.22.0-1
- Update to 2.22.0

* Mon Sep 20 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.21.7-2
- Fixed a bug which caused the path /usr/i686-pc-mingw32/sys-root/mingw to get hardcoded
  in the resulting library resulting in runtime failures on Win32 environments
- Moved the file %%{_mingw32_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders to
  %%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

* Sun Sep 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.21.7-1
- Initial release (split off from the mingw32-gtk2 package)
- Dropped the -static subpackage as it provides no added value
- Dropped all the .dll.a and .la files from the loaders as they provide no added value
- Dropped the libpng 1.4 hack as upstream has provided a proper fix

